diff --git a/bindings.cpp b/bindings.cpp
index d09edba41d..85b24dc637 100644
--- a/bindings.cpp
+++ b/bindings.cpp
@@ -1429,6 +1429,8 @@ bool DeRestPluginPrivate::checkSensorBindingsForAttributeReporting(Sensor *senso
         sensor->modelId().startsWith(QLatin1String("VMS_ADUROLIGHT")) ||
         // innr
         sensor->modelId() == QLatin1String("SP 120") ||
+        // Eurotronic
+        sensor->modelId() == QLatin1String("SPZB0001") ||
         // Heiman
         sensor->modelId().startsWith(QLatin1String("SmartPlug")) ||
         sensor->modelId().startsWith(QLatin1String("CO_")) ||
diff --git a/de_web_plugin.cpp b/de_web_plugin.cpp
index a4fa5a3689..c41211606d 100644
--- a/de_web_plugin.cpp
+++ b/de_web_plugin.cpp
@@ -176,6 +176,7 @@ static const SupportedDevice supportedDevices[] = {
     { VENDOR_INNR, "RC 110", jennicMacPrefix }, // innr remote RC 110
     { VENDOR_VISONIC, "MCT-340", emberMacPrefix }, // Visonic MCT-340 E temperature/motion
     { VENDOR_1224, "ICZB-KPD1", emberMacPrefix }, // iCasa keypad
+    { VENDOR_JENNIC, "SPZB0001", jennicMacPrefix }, // Eurotronic thermostat
     { 0, nullptr, 0 }
 };
 
